6.0.0-git
2021-03-07

[#6706] No vCard data was found.
Summary No vCard data was found.
Queue Synchronization
Type Bug
State Resolved
Priority 2. Medium
Owners jan (at) horde (dot) org
Requester anders.lund (at) uninett (dot) no
Created 2008-05-15 (4679 days ago)
Due
Updated 2008-05-24 (4670 days ago)
Assigned 2008-05-24 (4670 days ago)
Resolved 2008-05-24 (4670 days ago)
Milestone 3.2
Patch No

History
2008-05-24 18:39:44 Chuck Hagenbuch State ⇒ Resolved
 
2008-05-24 18:27:43 anders (dot) lund (at) uninett (dot) no Comment #11 Reply to this comment
Seems to work for me.
2008-05-24 16:45:29 Jan Schneider Comment #10
State ⇒ Feedback
Reply to this comment
2008-05-21 22:09:01 Jan Schneider Assigned to Jan Schneider
State ⇒ Assigned
Milestone ⇒ 3.2
 
2008-05-19 06:56:49 anders (dot) lund (at) uninett (dot) no Comment #9 Reply to this comment
Jan,



I changed line 541 in lib/Horde/iCalendar.php, using the same patch as 
in bug 6641, so the preg_match_all is now:



if (preg_match_all('/BEGIN:([\W\w]*)(\r\n|\r|\n)([\W\w]*)END:\1/Ui', 
$vCal.'^M\n', $matches)) {



This seems to work for me. I can now do updates of contacts from my 
phone or Lightning.
2008-05-18 18:52:13 lists (at) jenster (dot) eu Comment #8 Reply to this comment
Hi Jan,



I'm really sorry - I should have tried the patch from comment #3 first.

Couldn't believe it but this fixed the problem - contacts are syncing 
fine now.



There are some fields in the nokia e51 address book that don't sync  e.g.

the 'work e-mail' address. Can you give me / point me to some 
documentation how to

implement vcard fields in turba/syncml ?



Regards,

Ruben
2008-05-18 16:03:11 lists (at) jenster (dot) eu Comment #7 Reply to this comment
Ok, here's another dump http://ruben.jenster.eu/sync-A123456



Created a contact named 'A' with mobile number '123456'

This appears also in data.txt



  Regards,

  Ruben
2008-05-18 15:44:21 Jan Schneider Comment #6 Reply to this comment
Unfortunately the data sent from the client isn't logged to data.txt. 
Can you please apply this patch and update your log files? Thanks.

http://cvs.horde.org/diff.php/framework/SyncML/SyncML/Device.php?r1=1.7.2.12&r2=1.7.2.13&ty=u
2008-05-18 15:26:02 lists (at) jenster (dot) eu Comment #5 Reply to this comment
Same problem with syncevolution here



DEBUG:  Backend of class SyncML_Backend_Horde created

DEBUG:  Started at 2008-05-18 10:24:13. Packet logged in 
/tmp/sync/client_82.xml

DEBUG:  Existing session continued: 386d9fef18ae14c8cbb1e72fc594ecde

DEBUG:  Authenticated: yes; version: 1.1; message ID: 3; source URI: 
sc-api-nat; target URI: http://192.168.2.101/horde/rpc.php; user: 
ruben; charset: UTF-8; wbxml: no

DEBUG:  Using default device class

DEBUG:  Handling <Replace> sent from client

DEBUG:  Using default device class

DEBUG:  SQL Query by SyncML_Backend_Horde::_getSuid(): SELECT 
syncml_suid FROM horde_syncml_map WHERE syncml_syncpartner = ? AND 
syncml_db = ? AND syncml_uid = ? AND syncml_cuid = ?, values: 
sc-api-nat, contacts, ruben, pas-id-483048FA00000085

DEBUG:  No vCard data was found.

ERR:    Error in adding client entry due to replace request: No vCard 
data was found.

DEBUG:  Received <Final> from client.

DEBUG:  Handle <Final> for state Sync

DEBUG:  Creating <Sync> output for server changes in database contacts

DEBUG:  Using default device class

DEBUG:  Compiling server changes from 2008-05-18 10:22:50 to 
2008-05-18 10:24:12

DEBUG:  Sending 0 server changes for client URI contacts

DEBUG:  Sending <Final> to client

DEBUG:  Return message completed

DEBUG:  Finished at 2008-05-18 10:24:13. Packet logged in 
/tmp/sync/server_82.xml


2008-05-18 13:35:55 lists (at) jenster (dot) eu Comment #4 Reply to this comment
Hi,



I can confirm this behaviour. Uploads from my nokia e51 mobile don't 
work for contacts with 1.1-rc4 but with 1.1-rc3 they do.



I put some logfiles online http://ruben.jenster.eu/sync-A123/

(Trying to upload a contact named A created on the mobile)

Hope that helps a bit.



Regards,

Ruben






2008-05-18 12:55:49 Jan Schneider Comment #3
State ⇒ Feedback
Reply to this comment
How *does* the data look like? Check data.txt and the client_* logs. 
Also, please check if this is the same like bug #6641.
2008-05-15 18:42:48 anders (dot) lund (at) uninett (dot) no Comment #2 Reply to this comment
BTW, the /tmp/sync/log.txt around such an error looks like this:



[...]



DEBUG:  Using default device class

DEBUG:  Handling <Replace> sent from client

DEBUG:  Using default device class

DEBUG:  SQL Query by SyncML_Backend_Horde::_getSuid(): SELECT 
syncml_suid FROM horde_syncml_map WHERE syncml_syncpartner = ? AND 
syncml_db = ? AND syncml_uid = ? AND syncml_cuid = ?, values: fmz-Xygx

Q7ev3fHdNt1x5uJ5WQ==, contacts, anders, 603

DEBUG:  No vCard data was found.

ERR:    Error in adding client entry due to replace request: No vCard 
data was found.

DEBUG:  Received <Final> from client.

DEBUG:  Handle <Final> for state Sync

DEBUG:  Creating <Sync> output for server changes in database contacts

DEBUG:  Using default device class

DEBUG:  Compiling server changes from 2008-05-15 20:23:13 to 
2008-05-15 20:24:17

DEBUG:  Sending 0 server changes for client URI contacts

DEBUG:  Sending <Final> to client

DEBUG:  Return message completed

DEBUG:  Finished at 2008-05-15 20:24:17. Packet logged in 
/tmp/sync/server_11.xml



[...]
2008-05-15 08:45:19 anders (dot) lund (at) uninett (dot) no Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ No vCard data was found.
Queue ⇒ Synchronization
Milestone ⇒
Patch ⇒ No
Reply to this comment
Hi,



just tried RC4 of Horde Groupware Webmail Edition 1.1, and have some 
problem doing update of existing addressbook entries.



I have an entry synced to Horde, Nokia N95 and Thunderbird (using 
Funambol-Pim-Plugin-linux-v0.4.4.xpi). I've tried to update _one_ 
entry on both my phone and in Thunderbird, by trying to add a mobile 
phone number. One at a time. First Thunderbird, and then sync between 
Thunderbird and Horde, and later tried to update on my phone, and then 
sync my phone and Horde. Both of these seem to faile. In my 
/tmp/sync/log.txt I find this error in both cases:



ERR:    Error in adding client entry due to replace request: No vCard 
data was found.



This didn't seem to be the case with RC3, so is it a bug introduced in RC4?

Saved Queries